Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class PersonNameResponseType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.PersonNameResponseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class PersonNameResponseType

extends Object
implements Serializable

The name group

Java class for PersonNameResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonNameResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="MiddleName" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}MiddleNameType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PersonNameResponseType()`

Method Summary
`String` | `getFirstName()` Gets the value of the firstName property.
`String` | `getLastName()` Gets the value of the lastName property.
`List<MiddleNameType>` | `getMiddleNames()` Gets the value of the middleNames property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setFirstName(String value)` Sets the value of the firstName property.
`void` | `setLastName(String value)` Sets the value of the lastName property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersonNameResponseType

    public PersonNameResponseType()

Method Detail

### getLastName

    public String getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `String`

### setLastName

    public void setLastName(String value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `String`

### getFirstName

    public String getFirstName()

  Gets the value of the firstName property.

  Returns:
    possible object is `String`

### setFirstName

    public void setFirstName(String value)

  Sets the value of the firstName property.

  Parameters:
    `value` - allowed object is `String`

### getMiddleNames

    public List<MiddleNameType> getMiddleNames()

  Gets the value of the middleNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the middleNames property.

  For example, to add a new item, do as follows:

          getMiddleNames().add(newItem);

  Objects of the following type(s) are allowed in the list `MiddleNameType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.